org.wso2.carbon.device.mgt.mobile.windows.api.operations.util

## Enum OperationCode.Configure

- java.lang.Object
- - java.lang.Enum<OperationCode.Configure>
  - - org.wso2.carbon.device.mgt.mobile.windows.api.operations.util.OperationCode.Configure

- All Implemented Interfaces:
    Serializable, Comparable<OperationCode.Configure>
  Enclosing class:
    OperationCode

      public static enum OperationCode.Configure
      extends Enum<OperationCode.Configure>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALPHANUMERIC_PASSWORD`
    `CAMERA`
    `CAMERA_STATUS`
    `DEVICE_PASSWORD_ENABLE`
    `ENCRYPT_STORAGE`
    `ENCRYPT_STORAGE_STATUS`
    `MAX_PASSWORD_INACTIVE_TIME`
    `MIN_PASSWORD_COMPLEX_CHARACTERS`
    `MIN_PASSWORD_LENGTH`
    `PASSWORD_EXPIRE`
    `PASSWORD_HISTORY`
    `PASSWORD_MAX_FAIL_ATTEMPTS`
    `SIMPLE_PASSWORD`
    `WIFI`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `static OperationCode.Configure` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationCode.Configure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WIFI

          public static final OperationCode.Configure WIFI

    - #### CAMERA

          public static final OperationCode.Configure CAMERA

    - #### CAMERA_STATUS

          public static final OperationCode.Configure CAMERA_STATUS

    - #### ENCRYPT_STORAGE

          public static final OperationCode.Configure ENCRYPT_STORAGE

    - #### ENCRYPT_STORAGE_STATUS

          public static final OperationCode.Configure ENCRYPT_STORAGE_STATUS

    - #### PASSWORD_MAX_FAIL_ATTEMPTS

          public static final OperationCode.Configure PASSWORD_MAX_FAIL_ATTEMPTS

    - #### DEVICE_PASSWORD_ENABLE

          public static final OperationCode.Configure DEVICE_PASSWORD_ENABLE

    - #### SIMPLE_PASSWORD

          public static final OperationCode.Configure SIMPLE_PASSWORD

    - #### MIN_PASSWORD_LENGTH

          public static final OperationCode.Configure MIN_PASSWORD_LENGTH

    - #### ALPHANUMERIC_PASSWORD

          public static final OperationCode.Configure ALPHANUMERIC_PASSWORD

    - #### PASSWORD_EXPIRE

          public static final OperationCode.Configure PASSWORD_EXPIRE

    - #### PASSWORD_HISTORY

          public static final OperationCode.Configure PASSWORD_HISTORY

    - #### MAX_PASSWORD_INACTIVE_TIME

          public static final OperationCode.Configure MAX_PASSWORD_INACTIVE_TIME

    - #### MIN_PASSWORD_COMPLEX_CHARACTERS

          public static final OperationCode.Configure MIN_PASSWORD_COMPLEX_CHARACTERS

  - ### Method Detail

    - #### values

          public static OperationCode.Configure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationCode.Configure c : OperationCode.Configure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationCode.Configure valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public String getCode()

Copyright © 2017 WSO2. All rights reserved.